lascl2(3)

NAME
lascl2 - lascl2: diagonal scale matrix, A = D A

SYNOPSIS

  Functions
subroutine clascl2 (m, n, d, x, ldx)
CLASCL2 performs diagonal scaling on a matrix.
subroutine dlascl2 (m, n, d, x, ldx)
DLASCL2 performs diagonal scaling on a matrix.
subroutine slascl2 (m, n, d, x, ldx)
SLASCL2 performs diagonal scaling on a matrix.
subroutine zlascl2 (m, n, d, x, ldx)
ZLASCL2 performs diagonal scaling on a matrix.

Detailed Description

Function Documentation

  subroutine clascl2 (integer m, integer n, real, dimension( * ) d, complex, dimension( ldx, * ) x, integer ldx)

CLASCL2 performs diagonal scaling on a matrix.

Purpose:

     CLASCL2 performs a diagonal scaling on a matrix:
       x <-- D * x
     where the diagonal REAL matrix D is stored as a matrix.
     Eventually to be replaced by BLAS_cge_diag_scale in the new BLAS
     standard.

Parameters
    M

              M is INTEGER
         The number of rows of D and X. M >= 0.

    N

              N is INTEGER
         The number of columns of X. N >= 0.

    D

              D is REAL array, length M
         Diagonal matrix D, stored as a vector of length M.

    X

              X is COMPLEX array, dimension (LDX,N)
         On entry, the matrix X to be scaled by D.
         On exit, the scaled matrix.

    LDX

              LDX is INTEGER
         The leading dimension of the matrix X. LDX >= M.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 90 of file clascl2.f.

  subroutine dlascl2 (integer m, integer n, double precision, dimension( * ) d, double precision, dimension( ldx, * ) x, integer ldx)

DLASCL2 performs diagonal scaling on a matrix.

Purpose:

     DLASCL2 performs a diagonal scaling on a matrix:
       x <-- D * x
     where the diagonal matrix D is stored as a vector.
     Eventually to be replaced by BLAS_dge_diag_scale in the new BLAS
     standard.

Parameters
    M

              M is INTEGER
         The number of rows of D and X. M >= 0.

    N

              N is INTEGER
         The number of columns of X. N >= 0.

    D

              D is DOUBLE PRECISION array, length M
         Diagonal matrix D, stored as a vector of length M.

    X

              X is DOUBLE PRECISION array, dimension (LDX,N)
         On entry, the matrix X to be scaled by D.
         On exit, the scaled matrix.

    LDX

              LDX is INTEGER
         The leading dimension of the matrix X. LDX >= M.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 89 of file dlascl2.f.

  subroutine slascl2 (integer m, integer n, real, dimension( * ) d, real, dimension( ldx, * ) x, integer ldx)

SLASCL2 performs diagonal scaling on a matrix.

Purpose:

     SLASCL2 performs a diagonal scaling on a matrix:
       x <-- D * x
     where the diagonal matrix D is stored as a vector.
     Eventually to be replaced by BLAS_sge_diag_scale in the new BLAS
     standard.

Parameters
    M

              M is INTEGER
         The number of rows of D and X. M >= 0.

    N

              N is INTEGER
         The number of columns of X. N >= 0.

    D

              D is REAL array, length M
         Diagonal matrix D, stored as a vector of length M.

    X

              X is REAL array, dimension (LDX,N)
         On entry, the matrix X to be scaled by D.
         On exit, the scaled matrix.

    LDX

              LDX is INTEGER
         The leading dimension of the matrix X. LDX >= M.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 89 of file slascl2.f.

  subroutine zlascl2 (integer m, integer n, double precision, dimension( * ) d, complex*16, dimension( ldx, * ) x, integer ldx)

ZLASCL2 performs diagonal scaling on a matrix.

Purpose:

     ZLASCL2 performs a diagonal scaling on a matrix:
       x <-- D * x
     where the DOUBLE PRECISION diagonal matrix D is stored as a vector.
     Eventually to be replaced by BLAS_zge_diag_scale in the new BLAS
     standard.

Parameters
    M

              M is INTEGER
         The number of rows of D and X. M >= 0.

    N

              N is INTEGER
         The number of columns of X. N >= 0.

    D

              D is DOUBLE PRECISION array, length M
         Diagonal matrix D, stored as a vector of length M.

    X

              X is COMPLEX*16 array, dimension (LDX,N)
         On entry, the matrix X to be scaled by D.
         On exit, the scaled matrix.

    LDX

              LDX is INTEGER
         The leading dimension of the matrix X. LDX >= M.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 90 of file zlascl2.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.